scores {mRMRe} | R Documentation

## mRMR Scores as per the MI gain for each feature

### Description

The `scores` method returns the scores of individual features in respect to previously selected features as per standard mRMR procedure. For each target, the score of a feature is defined as the mutual information between the target and this feature minus the average mutual information of previously selected features and this feature.

### Usage

    ## S4 method for signature 'mRMRe.Data'
    scores(object, solutions)
    ## S4 method for signature 'mRMRe.Filter'
    scores(object)
    ## S4 method for signature 'mRMRe.Network'
    scores(object)

### Arguments

`object` | a `mRMRe.Data, mRMRe.Filter or mRMRe.Network` object.
`solutions` | a set of solutions from mRMRe.Filter or mRMRe.Network to be used in computing the scores from a mRMRe.Data set.

### Author(s)

Nicolas De Jay, Simon Papillon-Cavanagh, Benjamin Haibe-Kains

### Examples

    set.thread.count(2)
    data(cgps)
    feature_data <- mRMR.data(data =  data.frame(cgps.ge))

    # Create an mRMR filter and obtain the indices of selected features
    filter <- mRMR.classic("mRMRe.Filter", data = feature_data, target_indices = 3:5,
    						feature_count = 2)
    scores(filter)

[Package mRMRe version 2.0.9 Index]